﻿body {
    font-size: 12px;
    font-family: 'Segoe UI';
}



    .dash-head {
        padding-left: 70px;
    }

.shortcut-Button {
    float: left;
    width: 48px;
    height: 48px;
    padding-top: 5px;
    padding-left: 4px;
    background-color: #231f20;
    vertical-align: middle;
}

.shortcut-image {
    padding-top: 2px;
    padding-left: 4px;
}

    .shortcut-image:hover {
        cursor: pointer;
    }

    .k-grid td{
    white-space: nowrap;
    }
/* Set padding to keep content from hitting the edges */
.body-content {
    position: fixed;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 10px;
    top: 83px;
    left: 48px;
    right: 0px;
    bottom: 0px;
    overflow: scroll;
    overflow-x: auto;
    overflow-y: auto;
}

.body-max {
    left: 145px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

label {
    font-weight: normal;
}

.BottomBarPermissions{
    position: fixed;
    bottom:0px;
    padding-top:5px;
    background-color: #c7c7c7;
    left: 63px;
    right: 32px; 
    height: 35px;
}
.BottomBarPermissions.bottom{
    bottom:63px;
}
.BottomBarPermissions-maximized {
    left: 245px;
}
/*context menu*/

/*resposive menu containing menu list items*/
.responsive-menu {
    top: 83px;
    bottom: 0px;
    width: 140px;
    min-width: 48px;
    background-color: #F3F3F3;
    float: left;
    position: fixed;
    bottom: 0px;
    display: none;
    font-family: 'Segoe UI';
    overflow-y:auto;
}

    .responsive-menu h3 {
        font-family: 'Segoe UI';
    }
    .responsive-menu h4 {
        font-family: 'Segoe UI';
    }

.expand {
    display: block !important;
}

.thirdlevelindent{
        padding-left: 70px !important;
        font-weight:normal !important;
 }

#menu-list {
    padding: 0px;
    margin: 0px;
    color: #000000;
}
    /*heading styles*/
    #menu-list h3 {
        font-size: 15px;
        line-height: 34px;
        margin: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 10px;
        cursor: pointer;
        font-weight: 600;
    }
        /*heading hover effect*/
        #menu-list h3:hover {
            text-shadow: 0 0 1px rgba(255, 255, 255, 0.7);
        }
        /*iconfont styles*/
        #menu-list h3 span {
            font-size: 16px;
            margin-right: 10px;
        }
         #menu-list h4 {
        font-size: 13px;
        line-height: 34px;
        margin: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 40px;
        cursor: pointer;
        font-weight: 600;
    }
        /*heading hover effect*/
        #menu-list h4:hover {
            text-shadow: 0 0 1px rgba(255, 255, 255, 0.7);
        }
        /*iconfont styles*/
        #menu-list h4 span {
            font-size: 14px;
            margin-right: 10px;
        }
        /*heading styles*/
        
    /*list items*/
    #menu-list li {
        list-style-type: none;
        cursor: pointer;
    }
    /*links*/
    #menu-list ul ul li a {
        box-sizing: border-box;
        color: #000000;
        text-decoration: none;
        font-weight:500;
        font-size: 12px;
        line-height: 27px;
        display: inline-block;
        width: 178px;
    }

    .second-layer li .ellipses {
        border: 0px;
        box-sizing: border-box;
        display: inline-block;
        height: 27px;
        margin: 0px;
        padding: 0px;
        cursor: pointer;
        text-align: center;
        vertical-align: middle;
        width: 30px;
        visibility: hidden;
    }
    .third-layer li .ellipses {
        border: 0px;
        box-sizing: border-box;
        display: inline-block;
        height: 27px;
        margin: 0px;
        padding: 0px;
        cursor: pointer;
        text-align: center;
        vertical-align: middle;
        width: 30px;
        visibility: hidden;
    }


    .lihover:hover{
        background: #E6E6E6;
    }
    .lihoverA:hover{
         border-left: 4px solid #166188;
    }
    .second-layer, li:hover .ellipses{
         visibility: visible !important;
    }
    .third-layer, li:hover .ellipses{
         visibility: visible !important;
    }

/*context menu*/
#context-menu {
    background-color: white;
    display: none;
    height: 150px;
    left: 232px;
    position: absolute;
    width: 300px;
    z-index: 1;
}

    #context-menu .wrapper {
        background-color: inherit;
        border: 1px solid black;
        height: 100%;
        width: 100%;
    }

    #context-menu .arrow {
        background-color: inherit;
        border-bottom: 1px solid black;
        border-left: 1px solid black;
        height: 20px;
        left: -10px;
        position: absolute;
        transform: rotate(45deg);
        top: calc(50% - 10px);
        width: 20px;
    }

    #context-menu .meta-container {
        border-bottom: 1px solid #CCC;
        bottom: 40px;
        left: 0px;
        padding-left: 20px;
        position: absolute;
        right: 0px;
        top: 0px;
    }

    #context-menu .button-container {
        background-color: #EEE;
        border-bottom: 1px solid black;
        border-left: 1px solid black;
        border-right: 1px solid black;
        bottom: 0px;
        left: 0px;
        padding-left: 5px;
        padding-top: 5px;
        position: absolute;
        right: 0px;
        top: 110px;
    }

    #context-menu .close {
        position: absolute;
        right: 0px;
        top: 0px;
    }

/*ul top layer*/
.top-layer {
    padding-left: 0px;
}
/*ul second layer*/
.second-layer {
    padding-left: 0px;
}
.third-layer {
    padding-left: 0px;
}
/*menu-list link button*/
#menu-list a {
    padding-left: 40px;
}

/*hover effect on links*/
#menu-list ul ul li a:hover {
    background: #E6E6E6;
}

#menu-list ul ul {
    display: none;
}

#menu-list li.active ul {
    display: block;
}
/*menu-list icon*/
.icon-menu-list {
    display: inline-block !important;
    width: 10px !important;
    height: 10px !important;
    background-image: url("../Images/MenuList/Arrowhead-Right.png") !important;
    background-size: contain;
    background-repeat: no-repeat;
}

.icon-menu-list-closed {
    background-image: url("../Images/MenuList/Arrowhead-Down.png") !important;
}

/*minimized div*/
.responsive-menu-minimized {
    position: fixed;
    float: left;
    top: 83px;
    bottom: 0px;
    background-color: #F3F3F3;
    width: 48px;
    display: block;
}

.minimized {
    display: none !important;
}

.menu-bar {
    float: left;
    height: 35px;
    width: 48px;
    background-color: #231f20;
    position: relative;
    padding-top: 2px;
    padding-left: 2px;
}

.menu-bar-maximized {
    width: 231px;
}

/*title Bar*/
.title-bar {
    background-color: #231f20;
    left: 48px;
    right: 0px;
    height: 35px;
    position: fixed;
}

.title-bar-maximized {
    left: 231px;
}

.title-bar-heading {
    margin-top: 3px;
    padding-left: 10px;
    color: black;
    float: left;
    font-family: 'Segoe UI';
    font-weight: 600;
    font-size: 24px;
}

/*help-bar*/
.help-bar {
    padding-top: 12px;
    padding-left: 11.5px;
    top: 0px;
    right: 246px;
    position: fixed;
    width: 48px;
    height: 48px;
    border-left: solid;
    border-right: solid;
    border-color: white;
    border-width: 0 1px;
}

    .help-bar:hover {
        cursor: pointer;
        background-color: white;
    }

.help-image {
    height: 25px;
}

/*favourite-bar*/
.favorites-bar {
    padding-top: 12px;
    padding-left: 11.5px;
    top: 0px;
    right: 198px;
    position: fixed;
    width: 48px;
    height: 48px;
    border-right: solid;
    border-color: white;
    border-width: 0 1px;
}

    .favorites-bar:hover {
        cursor: pointer;
        background-color: white;
    }

.favorites-image {
    height: 25px;
}

/*notification-bar*/
.notification-bar {
    padding-top: 2px;
    padding-left: 2px;
    top: 0px;
    right: 200px;
    position: fixed;
    width: 50px;
    height: 48px;
    border-left: solid;
    border-right: solid;
    border-color: #000000;
    border-width: 0 1px;
}

    .notification-bar:hover {
        cursor: pointer;
        background-color: white;
    }

.notification-image {
    height: 45px;
}

.notification-count {
    display: none;
    position: fixed;
    top: 5px;
    right: 205px;
    border-radius: 50%;
    behavior: url(PIE.htc); /* remove if you don't care about IE8 */
    width: 18px;
    height: 18px;
    color: #000000;
    background: #fff;
    text-align: center;
    border-style: solid;
    border-width: 1px;
}

.notification-active {
    display: block;
}

/* login-bar */
.login-bar {
    right: 0px;
    top: 0px;
    height: 48px;
    position: fixed;
    width: 200px;
    padding-top: 8px;
    padding-left: 10px;
    font-weight: 600;
    font-size: 13px;
}

    .login-bar a {
        color: black;
    }

    .login-bar:hover {
        cursor: pointer;
        background-color: white;
    }

.user-account {
    padding-top: 5px;
}

.user-credentials {
    padding-top: 10px;
    position: fixed;
}

.user-profile-photo {
    display: block;
    float: right;
    width: 34px;
    height: 34px;
    margin-right: 15px;
    padding-bottom: 10px;
}

.user-photo {
    width: 37px;
    height: 37px;
}

.user-logoff {
    font-size: 14px;
    display: none;
    position: fixed;
    background-color: white;
    width: 230px;
    right: 0px;
    height: 80px;
    top: 48px;
    -moz-box-shadow: 0 0 10px #ccc;
    -webkit-box-shadow: 0 0 10px #ccc;
    box-shadow: 0 0 10px #ccc;
    padding-top: 10px;
    padding-left: 10px;
}

    .user-logoff a {
        padding-right: 10px;
        float: right;
        color: black;
    }

/* Navigation elements */
.menu-image {
    padding-left: 2px;
    width: 38px;
    height: 36px;
}

    .menu-image:hover {
        cursor: pointer;
        /*Might still need some sort of effect*/
        /*-moz-box-shadow: 0 0 10px #ccc;
        -webkit-box-shadow: 0 0 10px #ccc;
        box-shadow: 0 0 10px #ccc;*/
    }

.menu-navigation-section {
    display: block;
    position: fixed;
    background-color: #d6d6d6;
    min-width: 50px;
    width: 231px;
    top: 50px;
    bottom: 20px;
    border-right: inset;
    border-color: #045180;
    border-width: 3px;
}

.navbar-fixed-top {
    position: relative;
    width: 100%;
    height: 48px;
    background-color: #FFFFFF;
}

/*footer hr tag*/
hr {
    margin-top: 10px;
}

/* Tab Strip styling*/
.k-tabstrip .k-content.k-state-active {
    padding-bottom: 10px;
    padding-top: 10px;
}

/* Grid styling */
a.k-grid-filter.k-state-active {
    background-color: rgba(66,139,202,0.34);
}
.k-grid .k-grid-header .k-header {
    white-space: normal;
    font-weight: 600;
    background-color: #F5F5F5;
    font-family: 'Segoe UI';
}

    .k-grid .k-grid-header .k-header .k-link {
        height: auto;
    }

.k-grid td {
    padding-right: 5px;
    padding-left: 5px;
    padding-bottom: 1px;
    padding-top: 1px;
}

/* Form styling */
.input-form .form-content {
    padding-top: 10px;
}
.input-form{
    padding-bottom:30px;
}
.input-form label {
    padding-right: 25px;
    width: 150px;
    text-align: right;
    font-size: 12px;
    font-weight: normal;
}

.input-form input.k-textbox {
    height: 25px;
    width: 200px;
    font-size: 12px;
}

.input-form .k-dropdown {
    height: 25px;
    width: 200px;
    font-size: 12px;
}

.input-form .k-datepicker {
    height: 25px;
    width: 200px;
    font-size: 12px;
}

.input-form .k-numerictextbox {
    height: 25px;
    width: 200px;
    font-size: 12px;
}

.input-form .field {
    margin-bottom: 20px;
}

.form-button {
    border-color:#4D86A4;
    border-width:3px;
    font-size:13px;
    font-weight:700;
}

/* Validation styling */
.input-validation-error {
    border-color: red;
}

.field-validation-error {
    color: red;
    font-weight: bold;
    margin-left: 10px;
}

.validation-summary-errors {
    font-weight: bold;
    color: red;
}

.validation-summary-valid {
    display: none;
}

/*Kendo theme color*/
.k-state:hover {
    color: white;
}

.k-dropdown .k-state-focused .k-input {
    /*color: white;*/
}

/*Kendo Tabstrip styling*/
.k-tabstrip .k-tabstrip-items {
    padding-left: 3px;
}

/* AJAX loader */
#ajax-loader {
    margin-top: 10px;
    margin-left: 25px;
    margin-right: 10px;
    float: right;
}

/* Header back button */
#header-back {
    height: 35px;
    width: 35px;
    float: left;
}

    #header-back img {
        height: 29px;
        width: 29px;
        margin: 3px;
    }
/*Summary Section*/

#summary {
    width: 100% !important;
}

.summary-heading {
    width: 130px;
    text-align: left;
    font-weight: 600;
}

.summary-label {
    display: inline-block;
    font-weight: 600;
    text-align: left;
    width: 130px;
}

.summary-comment-description {
    vertical-align: middle;
    width: 200px;
    word-wrap: break-word;
    text-align: left;
}

.summary-description {
    vertical-align: middle;
    width: 200px;
    word-wrap: break-word;
    text-align: left;
}

.section-one-summary {
    width: 355px;
    float: inherit;
    display: inline-block;
    vertical-align: top;
}

.section-two-summary {
    width: 355px;
    display: inline-block;
    float: inherit;
    vertical-align: top;
}

.section-three-summary {
    width: 355px;
    display: inline-block;
    float: inherit;
    vertical-align: top;
}

.summary-section {
    display: inline-block;
    float: inherit;
    padding-top: 20px;
    vertical-align: top;
    width: 355px;
}

/*pop-up overlay*/
.overlay {
    background-color: rgba(128,128,128,0.7);
    bottom: inherit;
    display: none;
    left: inherit;
    position: fixed;
    padding: 30px;
    right: inherit;
    top: inherit;
    z-index: 20;
    width:1200px;
}

/*Kendo Window & Overlay Styling*/
.k-window {
    /*position: absolute !important;
    left: 30% !important;
    top: 15% !important;
    margin-left: -100px !important;
    margin-top: -75px !important;*/
    /*width: 200px !important;
    height: 150px !important;*/

    /*position: absolute;
    left: 30%;
    top: 15%;
    margin-left: -100px;
    margin-top: -75px;*/
}

.k-window-titlebar {
    background-color: rgba(77, 134, 164,0.4);
}

.k-overlay {
    opacity: 0.7 !important;
}

.field-labels {
    font-weight: bold;
}

.wide-dropdown {
    width: 200px !important;
}
.wrapGridText {
    overflow: visible !important;
    white-space: normal !important;
}